Foreman - Bug #2157

Locations wizard throws wrong arguments error (1 for 0)
01/25/2013 07:21 AM - Dominic Cleal

Status: Closed

Priority: Normal

Assignee: Dominic Cleal

Category: Organizations and Locations

Target version: 1.1

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

After entering the name of a location in the new locations wizard (no locations or orgs existed):

ArgumentError

wrong number of arguments (1 for O0)
app/models/tax_host.rb:118:in ‘block (2 levels) in '
app/models/tax_host.rb:25:in “block in used_ids'
app/models/tax_host.rb:24:in “each'
app/models/tax_host.rb:24:in “used_ids'
app/models/tax_host.rb:49:in "block in need_to_be_selected_ids'
app/models/tax_host.rb:48:in “map'
app/models/tax_host.rb:48:in "need_to_be_selected_ids'
app/models/tax_host.rb:101:in "~check_for_orphans'
app/models/taxonomy.rb:94:in " check_for_orphans'
lib/foreman/controller/taxonomies_controller.rb:47:in " create'
lib/foreman/thread_session.rb:31:in ‘clear_thread'

Associated revisions

Revision 7122385 - 01/27/2013 04:25 AM - Dominic Cleal

fixes #2157 - used_ids should not pass hosts array

History

#1 - 01/25/2013 07:24 AM - Dominic Cleal
- Status changed from Assigned to Ready For Testing

https://github.com/theforeman/foreman/pull/390

#2 - 01/27/2013 05:17 AM - Dominic Cleal
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 71223f85088facf2db7994c47b7f4c4{88aacf46.
